<?php

class Homepage_settings extends CI_Controller {

        var $module = 'seo';
    public function __construct()
    {
        // $this->load does not exist until after you call this
        parent::__construct(); // Construct CI's core so that you can use it

//        $this->load->database();
//        $this->load->helper('language');
//        $this->load->library('session');
        $this->load->model('Security','security_model');
        $this->load->model('Settings_Model','settings_model');
        $this->load->model('Language','language_model');
         //require_once(APPPATH.'controllers/admin/Security.php'); //include controller
            //$security = new Security();  //create object 
            //$security->permission(); //call function    

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
    }
    function index()
    {
        
        $session_id = $this->security_model->getcode();
        //$sess = $this->security_model->admin($session_id);
        //$property = $this->Property->get();
        

        //check user have login or not
        $this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //end check user have login or not
        

        $data['selectedmenu']="settings";
        $data['save'] = $this->input->get('save');

        //$data['sess'] = $sess;  
        //$data['property'] = $property;
        // $data['module'] = $this->module;
        // $data['settings'] = $this->settings_Model->get();
        // $data['selectedmenu']="seo";
        // $this->load->view('admin/seo.php', $data); 

        $this->load->library("form_validation");
        $config['upload_path'] = $_SERVER['DOCUMENT_ROOT']."/assets/images/uploads/";
        $config['allowed_types'] = 'gif|jpg|png|jpeg|ico';
        $this->load->library('upload', $config);
        $data['csrf'] = array(
            'name' => $this->security->get_csrf_token_name(),
            'hash' => $this->security->get_csrf_hash()
        );
        $data['selectedmenu']="";
        $data['_inactive_loading'] = true;
        $data['page'] = $this->module;
        $data['controller'] = $this->router->fetch_class();
        $data['sliders'] = [

        ];
        $data['_view'] = 'homepage_view';

        $data['item'] = new stdClass();
        foreach ($this->settings_model->get() as $setting) {
            // echo "get setting";
            // var_dump($setting);
            
            $data['item']->{ $setting->key } = $setting->value;
            $this->form_validation->set_rules('setting[' . $setting->key . ']', 'lang:settings_' . $setting->key, "trim");
        }
        // var_dump($data['item']);

        //echo $data['item']->title;
        $this->form_validation->set_rules('logo', 'Logo', "callback_logo");
        $this->form_validation->set_rules('favicon', 'Favicon', "callback_favicon");
        $this->form_validation->set_rules('contactlogo', 'Favicon', "callback_contactlogo");
        $this->form_validation->set_rules('wechatlogo', 'Favicon', "callback_wechatlogo");
        $this->form_validation->set_rules('wechatpubliclogo', 'Favicon', "callback_wechatpubliclogo");

        if ($this->form_validation->run() == false) {
            // $this->load->view("settings/manage", $data);
            $this->load->view('at-admin/index', $data);
        } else {
            foreach ($this->input->post('setting') as $key => $value) {
                $this->settings_model->key = $key;
                $this->settings_model->value = $value;
                $this->settings_model->save();
            }

            // redirect("admin/settings");
            //$this->load->view('admin/settings.php', $data); 

            redirect("admin/settings");
        }
    
    }
    function logo($var) {
        



        if ($this->upload->do_upload('logo')) {
            $data = $this->upload->data();
            if ($data['file_name']) {
                $this->settings_model->key = 'logo';
                $this->settings_model->value = base_url() . 'assets/at-admin/images/uploads/' . $data['file_name'];
                $this->settings_model->save();
            }
        }
        return true;
    }
    function favicon($var) {
        

        if ($this->upload->do_upload('favicon')) {
            $data = $this->upload->data();
            if ($data['file_name']) {
                $this->settings_model->key = 'favicon';
                $this->settings_model->value = base_url() . 'assets/at-admin/images/uploads/' . $data['file_name'];
                $this->settings_model->save();
            }
        }
        return true;
    }
    function contactlogo($var) {
        

        if ($this->upload->do_upload('contactlogo')) {
            $data = $this->upload->data();
            if ($data['file_name']) {
                $this->settings_model->key = 'contactlogo';
                $this->settings_model->value = base_url() . 'assets/at-admin/images/uploads/' . $data['file_name'];
                $this->settings_model->save();
            }
        }
        return true;
    }
    function wechatlogo($var) {
        

        if ($this->upload->do_upload('wechatlogo')) {
            $data = $this->upload->data();
            if ($data['file_name']) {
                $this->settings_model->key = 'wechatlogo';
                $this->settings_model->value = base_url() . 'assets/at-admin/images/uploads/' . $data['file_name'];
                $this->settings_model->save();
            }
        }
        return true;
    }
    function wechatpubliclogo($var) {
        

        if ($this->upload->do_upload('wechatpubliclogo')) {
            $data = $this->upload->data();
            if ($data['file_name']) {
                $this->settings_model->key = 'wechatpubliclogo';
                $this->settings_model->value = base_url() . 'assets/at-admin/images/uploads/' . $data['file_name'];
                $this->settings_model->save();
            }
        }
        return true;
    }
    
    function edit()
    {
        //not in use 2020-11-19
        $session_id = $this->security_model->getcode();
        //$this->security_model->admin($this->session->userdata('session_id'),$this->session->userdata('user_id'),$this->session->userdata('username'));
        //$property = $this->Property->get();
        
        echo $this->input->post('save');

        if($this->input->post('save')){
            echo "post save";
            $id = $this->input->post('id');
            
            $arr['title'] = $this->input->post('title');
            $arr['description'] = $this->input->post('description');
            $arr['keywords'] = $this->input->post('keywords');
            $arr['lang'] = $this->input->post('lang');
            
            if($id == false){
                $arr['entered'] = date('Y-m-d H:i:s');
                $id = $this->seo_model->insert($arr);
                header('location:'.base_url().'at-admin/seo/edit?save=1&id='.$id);
                exit;
            }else{
                $this->seo_model->update($id, $arr);
                header('location:'.base_url().'at-admin/seo/edit?save=1&id='.$id);
                exit;
            }
        }
        
        $id = $this->input->get('id');
        
        $data['languages'] = $this->language_model->get_all();
        //$data['sess'] = $sess;  
        $data['sess'] = $session_id;  
        //$data['property'] = $property;
        //$data['module'] = $this->module;
        $data['seo'] = $this->seo_model->get_id($id);
        $data['save'] = $this->input->get('save');
        $data['selectedmenu']="seo";    
        $this->load->view('at-admin/seo_edit_view.php', $data);
        //end not in use 2020-11-19
    }
    
}
